Tix windows (install question)


#1

I found a post around here somewhere explaining how to install tix.
Has anyone made it work on windows? I’m getting the follwing.

C:\ruby\tcltk-ext052>mk_tkextlib.rb -p Tix

c:/ruby/lib/ruby/1.8/tcltkextlib.rb:47:in _eval': couldn't load library "C:/tcl 8.4.14/bin/tix84.lib": invalid argument (RuntimeError) from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:47:in_eval’
from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:67:in eval' from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:177:in_load_shared_lib’
from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:220:in setup_libs' from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:216:insetup_libs’
from c:/ruby/lib/ruby/1.8/tcltkextlib.rb:233:in
full_load_libs' from C:/ruby/tcltk-ext052/mk_tkextlib.rb:1361:inload_ext_library’
from C:/ruby/tcltk-ext052/mk_tkextlib.rb:3001

My def file is

$ext_lib_info = [
[‘Tix’, ‘tix84.lib’, [‘C:/tcl8.4.14/bin’]],
nil
]

I also tried the dll. And I tried using the full path. My ruby is
1.8.4.


#2

From: removed_email_address@domain.invalid
Subject: tix windows (install question)
Date: Thu, 4 Jan 2007 07:35:07 +0900
Message-ID: removed_email_address@domain.invalid

I found a post around here somewhere explaining how to install tix.
Has anyone made it work on windows? I’m getting the follwing.

C:\ruby\tcltk-ext052>mk_tkextlib.rb -p Tix

I’m very sorry, but I don’t touch tcltk-ext now.

It is not tested on Windows.

I thought that supporting Tix is not important because
there are similar widgets in the other extensions
which are included in ActiveTcl binary package.
So, I stopped development of tcltk-ext when added
tkextlib support to Ruby/Tk.

And I forget about its structure. (^_^;

However, if you really need Tix support,
I’ll be able to update tcltk-ext for Ruby-1.8
or add Tix support to tkextlib.

My def file is

$ext_lib_info = [
[‘Tix’, ‘tix84.lib’, [‘C:/tcl8.4.14/bin’]],
nil
]

Did you try ‘C:\tcl8.4.14\bin’?
Does “Tk.ip_eval(‘load “C:/tcl8.4.14/bin/tix84.lib” Tix’)” or
“Tk.ip_eval(‘load “C:\tcl8.4.14\bin\tix84.lib” Tix’)” succeed?